About CDBurnerXP Pro

CDBurnerXP Pro is a freeware CD/DVD-Writer program.
The program can write CD-R, CD-RW DVD+R/RW DVD-R/RW discs.
All features in detail you can read in [image] Features.

There is also an Online Help in multiple languages available at [image] cdburnerxp.se/help

Copyright © 2002-2004 Stefan Haglund, Fredrik Haglund
Helpfile (ver. 2.0) by Florian Schmitz 2004

Homepage, Latest News
Forum
Support
E-Mail


License Agreement

CDBurnerXP Pro License Agreement

END-USER LICENSE AGREEMENT FOR FREEWARE

Except where otherwise noted, all of the documentation and software included in the CDBurnerXP Pro Free Setup package is copyrighted by Free Software. IMPORTANT - READ CAREFULLY: As used in this Agreement, "Free Software" shall mean Free Software, Incorporated. This License Agreement is a legal agreement between you (either an individual or a single entity) and Free Software for the CDBurnerXP Pro Free software product identified above, which may include associated software components, media, printed materials, and "online" or electronic documentation ("Software"). By installing, copying, or otherwise using the Software, you agree to be bound by the terms of this Agreement. If you do not agree to the terms of this Agreement, do not install or use the Software.

FREEWARE LICENSE

This Software is being distributed as Freeware. It may be freely used, copied and distributed as long as it is not sold, and all original files are included, including this license. You are NOT allowed to make a charge for distributing this Software (either for profit or merely to recover your media and distribution costs) whether as a stand-alone product, or as part of a compilation or anthology, without explicit prior written permission. By using this Software, you agree to these terms and the terms of the Disclaimer below:

DISCLAIMER

This Software and any support from Free Software are provided "AS IS" and without warranty, express or implied. Free Software specifically disclaim any implied warranties of merchantability and fitness for a particular purpose. In no event will Free Software be liable for any damages, including but not limited to any lost profits, lost savings or any incidental or consequential damages, whether resulting from impaired or lost data, software or computer failure or any other cause, or for any other claim by the user or for any third party claim.


Features

If you want to burn without administrative rights, you have to enable this feature as administrator in CDBurnerXP Pro: File->Settings->Device Access.

Create Data-CDs/DVDs
  • burn any Data on CD-R/CD-RW/DVD+R/DVD-R/DVD+RW/DVD-RW
  • burn mp3-CDs to store many audio files on one single disc
  • burn Video-DVDs with menus (read in helpfile how to do that)
  • create bootable discs
  • verify written Data automatically after burning process
  • use either the internal browser to add your files or the intuitive Drop-Box to drag and drop files directly from any Windows Explorer window
  • apply file filters to see only the files you need (for example *.jpg to display only JPEG files in local browser)
  • save your compilations for creation of backups
  • burn on-the-fly and with buffer-underrun protections
  • import previous (ISO 9660) sessions and edit existing file structure on CD/DVD
  • quick- and full-erase disc
  • retrieve recorder and disc information
  • overburning possible
Create Audio-CDs
  • create Audio-CDs from mp3, wav, ogg and wma* files
  • add single or multiple tracks from existing audio-CDs directly to your new compilation without ripping tracks before (add cda-files)
  • play audio-files with integrated audio player
  • gapless audio-CDs supported (disc-at-once-mode)
  • import m3u-playlists
  • integrated advanced audio editor
  • *only available for Win98SE and later
Rip Audio-CDs
  • rip tracks from any audio-CD to wav, mp3, wma or ogg
  • download album information from online database
  • sort ripped files in subdirectory automatically (based on information you get from online database)
  • supports jitter-correction ripping modes to rip tracks from scratched CDs
ISO features
  • burn ISO files to CD
  • create your own ISO files
  • convert bin- and nrg-files to ISO
Other features
  • simple cover printing feature for Data- and Audio-CDs
  • Audio Editor
  • MP3 Tag-Editor
  • converter for audio files (wav+mp3)
  • supports most IDE, USB, Firewire and SCSI drives
  • ASPI not required for NT/2000/XP
  • integrated option to enable access to drive for restricted users
  • lots of settings to customize CDBurnerXP Pro
  • multi-language interface
  • online update


Version History

2004-06-05 NEW IN VERSION 2.2.9
  1. Updated a few controls to more stable versions
  2. Changed the installer, and the way it installs for different users.
  3. This will be the last version before version 3 of CDBurnerXP Pro.

2004-06-05 NEW IN VERSION 2.2.8
  1. Fixed an error when clicked Write MP3 Tag, and the tag editor haven't found any files.
  2. Fixed an error when clicked Copy ID1 >> ID2, and no files where selected in the Tag Editor.
  3. Changed the installer so that it always removing an older version before installing a new.
  4. Fixed an error when clicking set default image in the options.
  5. Fixed a file not found error when starting CDBurnerXP.
  6. Changed the default text color in the explorer windows, due to some problems when not using standard colors.

2004-06-05 NEW IN VERSION 2.2.7
  1. Added possibility to select the default project dir.
  2. Changed the select drive combo boxes, and added icons.
  3. Fixed the convert Wav to MP3 window so that open and saves shows correctly.
  4. Fixed an error when canceling test write in the ISO Writer.
  5. Fixed so that ISO writer open with the default project path.
  6. Fixed installer so the file msvcr70.dll installs in the system dir.
  7. Added an option to backup, and restore the option settings. This is useful if you want to restore the values after an uninstall.
  8. Added a check when canceling a write, now you will get a question if it's ok to cancel.
  9. Fixed an error when there is no sound card available in the Audio Writer.
  10. Fixed the convert MP3 to Wav window so that open and saves shows correctly.
  11. The size meter will now work without any CD or DVD in the drive.
  12. Fixed an error in the size bar when adding small files.
  13. The ISO converter can now handle big .bin files and convert them to .iso.
  14. Corrected an issue when trying to convert small .nrg files.
  15. Added the possibility to enable and disable automatic speed detection from the options dialog.

2004-05-30 NEW IN VERSION 2.2.6
  1. Fixed error 404, MDI child forms cannot be shown modally
  2. Fixed error 380, Invalid property value
  3. Fixed error 7, Out of memory
  4. Added a few more backgrounds
  5. Added information which image file that is the current background image
  6. Fixed an error when trying to cancel from the 'save iso' dialog

2004-05-18 NEW IN VERSION 2.2.5
  1. Added possibility to make ISO images, this can be started from the ISO Writer menu
  2. Updated the development environment to Service Pack 6, I hope this will make the application to work better under Win98 and WinME
  3. New background in the main window
  4. Rewritten the check update, now it uses the html protocol, this should eliminate problems with downloads
  5. Added a button in the toolbar for starting the ISO Creator
  6. Changed the layout of Data Writer, Audio Writer and DVD Writer windows
  7. Added a new size meter to see how much is added to the compilation
  8. Added popup menus for adding sessions to the CD
  9. Added popup menus for adding and deleting files from the compilation
  10. New buttons for moving up, creating directories, select all and deselect all files in the file view
  11. Added function for detecting previous sessions on the media, if there is a previous session the program will ask if it should import the latest session
  12. Added a new button for inverting selected files in the file window
  13. Added a new button for filtering files after there extensions
  14. Changed the icons in the main toolbar
  15. Changed the icons in the Audio Ripper
  16. Removed the sidebar, all the functions are added with popup menus or in the toolbar
  17. A completely new installer for CDBurnerXP Pro
  18. Added options for CDBurnerXP Pro. (There will be more options in further releases)
  19. Corrected an error when deleting a file that was already added to a compilation
  20. Added resize functions to Data Writer, Audio Writer, DVD Writer and ISO Creator
  21. Corrected an error that occurred when trying to convert nrg files bigger than 2GB
  22. Corrected that nothing changed when selected different data modes in CDWriter
  23. Added more options to CDBurnerXP Pro
  24. Added a system info button to the about dialog
  25. And much more…

View all changes


Tested Drives

CDBurnerXP supports majority of modern IDE, USB, SCSI and FireWire CD-RW drives assembled in 2001 year or later, if its burn speed is more than 8x.
Since the list is updated frequently, please visit [image] Tested drives on our Homepage to see all tested drives. If a drive is not listed as tested and it works, please add it to the list. Note that the drive compitabilities may be different for Data- and Audio-Burning.

CDBurnerXP Pro will ignore (not detect) unsupported devices. If a drive is detected by CDBurnerXP Pro, and you are having technical issues, check your system settings first. Improper system configuration is the biggest support issue with CDR devices. The software is very rarely the problem in such cases. See the [image] FAQ section for more information.


FAQ

A few good links that can help solving some burn related problems:
  • A good resource for various CD related information: CDR Info.
  • Information about ASPI drivers and [image] Forceaspi
  • An Excellent CDR technology overview: CD-Recordable FAQ

Recommended additional programs:
  • Audacity - a good free audio editor
  • DVDShrink - backup/rip your DVDs
  • ISOBuster - read scratched CDs and ISO files

Getting started...

If you have a question "How to..." read the helpfile first. If you don't find your answer there, or you have another question, read the FAQ below.
You can access helpfile by menu (Help->Help..../Help Index) or by toolbar button Toolbar Button.

If you still do not find an answer, go to the forum and ask!

Most common questions and answers

Q: What is the difference between ISO Level 1, ISO Level 2 and Joliet?
A: This are different file system standards for burning CDs, they differ from each other for example in the allowed lengh of filenames. Detailed information you can get here: http://www.cdrfaq.org/faq03.html#S3-5-1

Q: What is important when installing CDBurnerXP Pro?
A: The only thing you have to do, is to install it with administrative rights, otherwise setup will not finish successfully. It is recommended to uninstall any previous version of CDBurnerXP Pro before, although this is not a must since version 3 (when upgrading from version 2 to version 3, you have to uninstall version 2!).

Q: Are there any conflicts with other programs?
A: Until now, we did not hear of any conflicts between CDBurnerXP Pro and other programs. To ensure that everything works properly, do not use 2 burning programs at the same time (that does not mean that you should not have 2 or more buring programs installed at the same time).

Q: Do I need admin rights to use CDBurnerXP Pro?
A: No. Once installed as admin, you can activate access for restricted users in Settings->Device Access.

Q: How do I finalize the disc?
A: Activate "Finalize Disc" in burning dialog.
Finalize Disc

Q: How do I create an ISO file?
A: Read "how to create an ISO image".

Q: What about a BartPE Plugin for CDBurnerXP Pro?
A: See here: http://www.cdburnerxp.se/forum/viewtopic.php?t=348

Q: The download does not work! What do I do now?
A: If you used a download manager, try to deactivate it, if you didn't use one, download (i.e.) Leechget and try again. You can also try to use one of the mirrors (there may be a short delay for the mirrors to update when a new version is released).

Q: Can I burn multiple copies of a CD?
A: Yes and no. There is no integrated feature for that, but you can hit the "Write disc"-button right after finishing burning process to create the next CD with the same content.

Q: Is there a ... language version of CDBurnerXP Pro? If not, will there be?
A: Currently there is no multi language feature for CDBurnerXP Pro. However, you can translate it the way it is explained here: http://www.cdburnerxp.se/forum/viewtopic.php?t=487
This is no official method for translating, you have to recreate the translation with every new version. All translations that are done this way you can find at download page. We can't tell you yet, when multilange will be supported, but we are working on it :-)

Q: Do I need to install VBRuntimes?
A: No, they are included in Installer. You only have to install them if the installer fails installing VBRuntimes (for what reason soever).

Q: Do I need ASPI drivers?
A: Not if you are running Windows 2000/XP. Otherwise you can download and install ASPI here: http://www.ncf.carleton.ca/~aa571/aspi.htm

Q: Do I need "Windows Media Format 9.0 Update"?
A: Only if you want to operate with WMA files (rip or burn with wma-format) and don't have it installed already.

Q: How do I create a MP3-CD?
A: Same as any usual Data-CD, just add MP3-files and folders to your CD layout. Read "how to create an mp3-CD".

Q: Which MP3 encoder/decoder do you use?
A: L.A.M.E 3.91

Q: Can I create a bootable CD/ISO file?
A: Yes. Read bootable discs / create ISO for more information.

Q: Can I convert WMA->MP3?
A: No, not yet. You have to use third party programs to do that.

Q: How can I copy a CD?
A: You can't yet. The only way would be to copy files (rip audio) to harddrive and then burn them. However, this is no way to create a 1:1 copy.

Q: Is my drive compitable to CDBurnerXP Pro?
A: Usually every drive is compitable if it is not too old. You can see at tested drives list which drives were tested by the users. However, if your drive is listened there, this is no guarantee that it will work. A correct system configuration is also needed – and we can't control the information given by the users for validity.

Q: CDBurnerXP Pro does not recognize my drive!
A: At first you should test if your drive works with other burning applications (like Deepburner and burnatonce). If it doesn't, in all probability your system is bad configured or your drive defect. Uninstalling/Reinstalling drivers may help. If it does work with other burning applications, then it is (most likely) not supported by CDBurnerXP Pro. Go to forum and have a look if anyone else had your problem before and if he found a solution.

Q: Can I continue a multisession disc?
A: Yes, read Compile Data-CD/DVD.

Q: What is the difference between Mode 1/XA and Mode 2/XA?
A: Read helpfile or this: http://www.cdrfaq.org/faq02.html#S2-2

Q: I get Error 102!
A: Update to latest version of CDBurnerXP Pro, that should help.

Q: How can I add tracks to an audio-CD?
A: You can't. Multisession audio discs won't play on standard CD players. Better create an MP3-CD if you want to add tracks later.

Q: Is there a backup feature in CDBurnerXP Pro?
A: Not yet. However, it may help you if you know that you can save your compilation so that you don't have to recreate it every time (File->Save/Open CD/DVD Layout).

Q: Can I format my CD as UDF with CDBurnerXP Pro?
A: No, not yet.

Q: Can I convert my old LP's to audio-CD?
A: Yes. You can use Audacity to record and edit LP's, then you can use CDBurnerXP Pro to burn the recorded files as audio-CD. You should try different connections for recording, microphone and line-in.

Q: Can I burn a gapless audio-CD?
A: Yes. Read create Audio-CD.

Q: Does CDBurnerXP Pro contain any spyware or other restrictions?
A: No! CDBurnerXP Pro does neither contain adware, nor spyware nor any other restrictions. It is absolutely free.

Q: Can I customize CDBurnerXP Pro with different settings?
A: Yes. Go to File->Preferences. For more information read Settings.

Q: Can I change bit rate for audio conversion?
A: No, not yet.

Q: Can I add CD-Text to an audio CD?
A: Again, no, not yet.

Q: Is overburning possible?
A: Yes. Just add as much data to CD layout as fits to the disc and start burning (ignore warning messages of CDBurnerXP Pro if any).


Support / Update

The latest news you can find here:
Latest News

The latest downloads you can find here:
Latest Downloads

For an online version check, click this button in toolbar of CDBurnerXP Pro:

You may find an answer to your question at the following categories if you didn't find it elsewhere in the helpfile:
Tested drives
Features
FAQ

If you don't find an answer, visit the Online-Forum:
CDBurnerXP Pro Forum


Compile Data-CD/DVD

To create a Data-CD or DVD choose "Data/DVD" of the "New Compilation"-dialog that appears on startup of CDBurnerXP Pro. To reopen the dialog, click the new-button New Button in toolbar.

Data/DVD button

CD/DVD Layout

To add files to your compilation, just drag and drop from local browser (top) to the cd-layout (bottom).
If you don't want or are not able to drag and drop, you can select the files you want to add and then click the "Add"-Button in middle toolbar.
Alternative Add button
You can also use the DropBox. To activate DropBox, press the blue button DropBox you find at top right in CD layout. CDBurnerXP Pro will minimize and only leave a small box at top left corner which you can move. Now you can explore your PC (Windows Explorer) and drag your files onto the box to add them to compilation.

DropBox

You can also make it transparent in settings dialog.
To delete a file (either in cd layout or local browser) use context menu or press the delete-button on your keyboard. If you use the "Delete"-Button in middle toolbar you can delete files from CD layout.

Create new folder in CD layout: Rightclick on the folder (you see in treeview, bottom left) in CD layout that is supposed to contain the new folder. Then choose "Create Directory...". In the following dialog you can enter the filename. You can also add a folder to the root of your CD, for that rightclick on rootfolder (top one in treeview).

If you don't like the middle toolbar, you can deactivate it using the "view"-menu. This toolbar is meant to help unexperienced users or those who are not able to drag and drop.

Import files from previos sessions: If you did not use the dialog that asks you if you want to import files of last sessions automatically, go to Disc (in menu) > Import session. There select the last session before "Empty session" and click "Import session".

Sessions

Clear all Items: Access this feature by rightclick in CD/DVD layout to delete every file located there. Note that this is no way to erase the disc you insterted. If you want to erase a CD, use the Document erase feature instead. Alternatively you can use the "Clear"-Button in middle toolbar.
Clear Button

Rename file/folder: You can do this by rightclick on a file/folder or using the edit-menu.
Change file system: Use the drop-down box in top right corner of local browser to select another file system. You can read the differences in Document FAQ. Usually Joliet is that what you want.
Size-meter explained: The blue color shows how many space is taken by the files that are already on CD, the green color shows the size of the added files which fit to disc, and the red color shows the size of what will not fit to disc anymore.

Sizemeter

You can also save your compilation, so that you don't have to add all files manually if you create the the compilation more than one time. This could also be useful when creating backups. Go to File > Save/Save as to save your compilation. To open it again, choose File > Open.

Local Browser

Toolbar Button Move one folder upwards
Toolbar Button Create a new folder in the folder you are currently browsing
Toolbar Button Select all files of the current folder
Toolbar Button Deselect all files of the current folder
Toolbar Button Invert current selection, all files that were selected are unselected, and all files that were unselected are selected after pressing this button.
Toolbar Button Filter the files that are shown. Here is how it works:
1) Show only files with a special extension:
Use *.extension as filter. "*" replaces all filenames and ".extension" is to be replaces by your extension. For example if you want to show only mp3 files, use this as filter:
*.mp3
If you want to show only mp3- and wav-files, you can seperate both with a semicolon:
*.mp3;*.wav
More examples:
image filter: *.jpg;*.bmp;*.png;*.gif
audio filter: *.wav;*.mp3;*.wma;*.ogg
video filter: *.mpg;*.wmv

2) Show only files beginning with a special letter
That is what you have to use as filter: yourletter*.*
For example if you only want to see files beginning with an "a", use
a*.*
as filter. You can also combine with an extension, so using
a*.mp3
you will only see mp3-files beginning with "a". Again you can combine multiple elements with ";".

> > > Tip: You can also use "?" instead of "*".
"*" replaces an undefined number of chars, "?" only replaces one letter. So if you only want to see all files with "a" as first letter and any second letter use
a?.*
Files like ab.mp3 will be displayed, however no files like abc.mp3.

All other standard Explorer actions can be performed by context menu (right click) or drag and drop.

Further information: Document Burn your compilation, Document Print Cover, Document Create MP3-CD, Document Create VCD/SVCD, Document Create bootable disc

Screenshot


Burn CD/DVD

There are three ways to start burning process:

1) Go to "Disc > Write disc..." in menu.
Start Burning

2) Use the button in toolbar: Start Burning

3) Use the "Burn"-Button in middle toolbar. If you click the small arrow located at the right side of the button, you can choose different functions for this button. By default it will perform a "quick burn", which starts burning immediately using the settings you can change in settings dialog.
Burn Button

Usually you don't have to care about the settings if you just want to burn a CD/DVD and you can hit the "Write disc" button if you didn't choose "quick burn" anyway.

Automatically shut down the PC when done: Shuts down your PC after burning process. You can also change this option during burning.
Eject disc after writing is finished: You can change the default value in Document settings.

Writing Speed: You can change the write speed here, if the automatically detected speed is not the one you want to use.
Test Write: If this is activated, there will only be a test write, nothing will be burned on CD. You can activate this option by default in Document settings.
Use Buffer Protection: Activating this setting protects you against buffer underrun errors. These errors often occur on slow systems and may cause that the burned CD/DVD is not useable.
Finalize Disc: Activate this, to make further writing on disc impossible. You should not do this, if you want to continue the disc later.
Auto-Verify File Data: If this setting is activated, the burned files will be checked for errors. This is important if you want to create backups safely.
DVD High compatibility: This will cause a higher compatibility to old DVD readers. It does not matter in this case how big the data was you added to layout, at least 1GB data will be burned.
Mode 2XA instead of Mode1: Mode 2XA is recommended for audio and video, mode 1 for usual data. So in most cases you don't need to change this option. Mode 2/XA only works for CD-R(W)s.
Cache Image before writing: Creates a local temporary file including all files that are to be burned on disc. This may be useful, if the files are from different locations (like CD) but is unnecessary if you only burn files from harddisc.

Document Information about bootable discs is also available.

Burning dialog


Create bootable disc

Use either the menu (Disc [image] Boot options) or in [image] burning dialog, click "boot options" to create a bootable disc.

Then click "make disc bootable".

Now you have to choose your boot image. You can either use one of your own, or the predefinied simple boot image. You can download an additional boot image with most important DOS programs here: http://www.cdburnerxp.se/help/boot.ima

After that, you have to choose the emulation type. Note that the size of the emulated medium has to be at least as big as the boot image you use. Otherwise it won't work.
So for the predefined image you have to use Floppy1_44MB and for the additional downloadable one you have to use Floppy2_88MB. The files which you have added (if any) to the CD layout in CDBurnerXP Pro compilation window does not have any influence on what type you emulation you have to use. You can also choose other boot emulation types if you need them, but usually floppy emulation will do fine.

If you have a bootable ISO-image you want to burn (like you get from [image] BartPE or WindowsUltimateBootDisc), you have to use the [image] burn ISO feature to do that. You don't have to enable any boot option there, this will automatically be done.

Tip: If you enabled boot option, the CD root icon in CD layout will get another symbol. It changes from [image] (boot option off) to [image] (boot option on).


Create mp3-CD

An mp3-CD is nothing more than a Document Data-CD. You only need to drag and drop mp3-files to the Data-CD layout.
Depending on the functions of your mp3-player you can also:
  • add wav- and wma-files
  • sort your files in different folders
  • use multisession, so that you can add music files afterwards

> > > Tip: If you only have wav-files, you can Document convert them to mp3. There is also an Document MP3-Tag Editor to edit ID3-Tags of your mp3 files.

The advantage of an mp3-CD is, that you can add many many songs to one single CD. Most players can also show ID3-Tag information and support sorting of mp3-files in different folders. The only disadvantage is, that you need an mp3-player. An mp3-CD won't play using a standard audio-CD player.

MP3 CD


Create Video-DVD

This tutorial will explain how to create a Video-DVD. It will also explain how to encode your video correctly, so if you already own a correct encoded one, you can skip the first part and start with "create DVD image". To do what explained in tutorial, you only need some freeware tools which will be mentioned as soon as you need them.

Contents

  • Divide your video into different parts (chapters)
  • Conversion to MPEG-2
  • Create Menu and DVD image
  • Burn DVD
  • Create Video-DVD without menu

Divide your video into different parts (chapters)

You can split your video file into different parts, for example to create chapters. I suggest you follow a tutorial how to do that, since I can't explain everything here. You can download VirtualDub from our servers (version 1.5.10).

Conversion to MPEG-2

To convert a file to MPEG-2, we should use latest version of TMPGenc, but this is only free for 30-days. So we go back to an older version, TMPGenc v12a (no installation required). By the way, if you like that program and you find it useful, we encourage you to buy the latest Plus version.
After extraction of the files, open the file "Patch.exe" and click start to translate TMPGenc into English. Then open "TMPGEnc.exe" to start the program.

Now click "Browse", and select the video you want to convert to MPEG-2. Usually this is an avi-file containing both video and audio information, but you can also use a different audio and video source.

Browse - TMPGenc

Now you have to configure TMPGenc. This is not very difficult, since I added two presets to the ZIP file. To configure TMPGenc, click "Load". If you are not in template folder already, browse there. Then open the file "DVD-PAL-Custom.mcf" if you need a PAL format video and "DVD-NTSC-Custom.mcf" if you need an NTSC video. You will need PAL in Europe and NTSC in USA (if you don't know what to use).

Configure TMPGenc, use presets

Now click the "encode" button. The encoding process may take a while so be patient - or better get a good occuptaion.

Create Menu and DVD image

At first we need the next freeware tool, DVDStyler. Just in case, you can download version 1.06 from our servers too. This time you have to install the program.
After finishing install and starting the program, go to "Configuration" > "Settings". Here you can choose another language and change the default menu format to NTSC if there is any need to do that.
Now we add a background. There are some predefined background images which you can add by doubleclick on one of the images on the left. You can also use the "Directories"-Tab to use your own image.
Done that, you can add additional images by dragging them onto the menu layout. Resizing is also possible.

DVDStyler - Add image and background

Before we are adding buttons, we have to add our converted video file(s). Switch to directories if you haven't done that already and drag the MPEG files you need to the bottom.

Add MPEG

Now go to "Buttons"-Tab and drag a button of your choice (at the moment I write this tutorial there is only one so forget your choice) to the layout. Rightclick on it to change its properties.

Button Context Menu

Button Properties

After everything is done, choose "File" > "Burn DVD". Specify output directory and activate "create ISO image". Then press "Start".

Create DVD image

Burn DVD

Now, finally, we come to CDBurnerXP Pro. To burn this ISO image choose "Data/DVD" at startup of CDBurnerXP Pro. To reopen the dialog, click the new-button New Button in toolbar

Then go to File (in menu) > Write disc from ISO file.

Then choose ISO file we just created by clicking on the "..."-button and then click "Write disc" to start burning process.
You won't need Mode1XA or Mode2XA. Finalizing disc won't hurt, but usually there is no need to do that.

Burn ISO file

Create Video-DVD without menu

If you have a correct encoded video, you can simply create a Data-DVD and add the folders "audio_ts" and "video_ts". Put your video(s) into "video_ts" and burn the disc.
Rightclick on the root folder and choose "Create Directory" to create a new directory.

Create new folder in CD layout

Enter the folder name in upcoming window.
In the end, it should look like this:

Video-DVD layout


Create Audio-CD

Compile Audio-CD

To create an Audio-CD choose "Audio" of the "New Compilation"-dialog that appears on startup of CDBurnerXP Pro. To reopen the dialog, click the new-button New Button in toolbar.

Audio Button

> > > Tip: There are additional features for Audio, see Document Audio-Editor, Document MP3-Tag Editor, Document Print CD-Cover and Document file conversation.

CD/DVD Layout

To add music files to your compilation, just drag and drop from local browser (top) to the audio-cd layout (bottom). If you don't want or are not able to drag and drop, you can select the files you want to add and then click the "Add"-Button in middle toolbar.
Alternative Add button

To change the order of the tracks, drag and drop them within your audio-cd layout up and down (your cursor changes to the following symbol: Arrow). You can also use the context menu (rightclick on a music file in layout).

Context Menu

If you don't like the middle toolbar, you can deactivate it using the "view"-menu. This toolbar is meant to help unexperienced users or those who are not able to drag and drop.

You can also use the DropBox. To activate DropBox, press the blue button DropBox you find at top right in CD layout. CDBurnerXP Pro will minimize and only leave a small box at top left corner which you can move. Now you can explore your PC (Windows Explorer) and drag your files onto the box to add them to compilation.

DropBox

You can also make it transparent in settings dialog.

To play a music file, select it in your audio-cd layout, then click the play-button of the audio player (the dark thing above your local browser). Doubleclicking a file also works.

You can also save your compilation, so that you don't have to add all files manually if you create the the compilation more than one time. Go to File > Save/Save as to save your compilation. To open it again, choose File > Open.

Gapless CD? This is possible, in Document burn Audio-CD you will get to know how. By default there will be a 2 sec. gap between all tracks.

Local Browser

Toolbar Button Move one folder upwards
Toolbar Button Create a new folder in the folder you are currently browsing
Toolbar Button Select all files of the current folder
Toolbar Button Deselect all files of the current folder
Toolbar Button Invert current selection, all files that were selected are unselected, and all files that were unselected are selected after pressing this button.
Toolbar Button Filter the files that are shown. Here is how it works:
1) Show only files with a special extension:
Use *.extension as filter. "*" replaces all filenames and ".extension" is to be replaces by your extension. For example if you want to show only mp3 files, use this as filter:
*.mp3
If you want to show only mp3- and wav-files, you can seperate both with a semicolon:
*.mp3;*.wav
More examples:
image filter: *.jpg;*.bmp;*.png;*.gif
audio filter: *.wav;*.mp3;*.wma;*.ogg
video filter: *.mpg;*.wmv

2) Show only files beginning with a special letter
That is what you have to use as filter: yourletter*.*
For example if you only want to see files beginning with an "a", use
a*.*
as filter. You can also combine with an extension, so using
a*.mp3
you will only see mp3-files beginning with "a". Again you can combine multiple elements with ";".

> > > Tip: You can also use "?" instead of "*".
"*" replaces an undefined number of chars, "?" only replaces one letter. So if you only want to see all files with "a" as first letter and any second letter use
a?.*
Files like ab.mp3 will be displayed, however no files like abc.mp3.

All other standard Explorer actions can be performed by context menu (right click) or drag and drop.

 Audio Screenshot


Audio-Editor

To start the Audio Editor choose "Audio-CD" of the "New Compilation"-dialog that appears on startup of CDBurnerXP Pro. To reopen the dialog, click the new-button [image] in toolbar.

Open it with File [image] Audio Editor.

Now you first have to choose the file you want to edit. For that use the "..."-button.
Note: You can only edit WAVE-files.
Tip: You can [image] convert mp3-files to Wave and vice versa.

With Start and End position you can specify which part of the file is edited (in %). In the screenshot, the first 16% of the soundfile will be edited.

Below Events you can see which actions were taken, similar to a log-file.

Because there are quite a lot of functions, I will only exlpain the most important for beginners here:
Fade in: Activate "Fade" in Tab "Amplitude. Use 0% for left and 100% or right. Start position 0 and End position about 2, depening on the lenght of your file.
Fade out: Activate "Fade" in Tab "Amplitude. Use 100% for left and 0% or right. Start position about 98 depening on the lenght of your file and End position 100.
Reverse: Activate "Reverse" in Tab "Amplitude. Use 0 for start position and 100 for end position.
Change volume: Use "Amplify" or "Normalize" in Tab "Amplitude. Just lower or rise the values.
Time Stretch: Use "Time Stretch" in Tab "Other". All values above 100 make the file faster, all values below make it slower.
Delete Silence: Activate "Delete Silence" in Tab "Other". With "level" you can specify what is recognized as silence (the higher the value, the more is deleted) and with "time" you can specify how long silence is deleted at maximum (in miliseconds).

To apply all changes to your soundfile, click "Transform".
Note: The transformed file will be saved as a different filename, the old one will not be overwritten. You can read the filename below Events.


MP3 Tag Editor

To start the MP3-Tag Editor choose "Audio-CD" of the "New Compilation"-dialog that appears on startup of CDBurnerXP Pro. To reopen the dialog, click the new-button [image] in toolbar.

Then go to File [image] MP3-Tag Editor

At first, you have to select the folder containing your mp3-files. To do that, click on the "..."-button below ID3 v1 Tag Information. Then click the button "Scan folder" (="Rescan folder" on screenshot, because I already scanned folder for screenshot).

To edit the tag-information of a mp3-file, select it with a click in "MP3 File View".
Now you can change and add any information for ID3-Tag v2 and v3. On the right you get some common information about the mp3 file.
Note: 2 Channels = Stereo, 1 Channel = Mono. The file information on the screenshots meet the standard CD quality.

To copy ID3 v1 tag information to v2, just press the button "IDv1 to IDv2".

If you want to rename your file with ID3-tag information, activate "Rename File From Tag" and click the buttons <Artist>, <Title> and <Album>.
Renamed files can give you a better overview of your mp3 collection.

To apply all changes you made, click the button "Write MP3 Tag".


Conversion

You can convert mp3- to wav-files and wav- to mp3-files.
To to that first choose "Audio-CD" at startup of CDBurnerXP Pro. To reopen the dialog, click the new-button [image] in toolbar.

Use "File [image] Convert [image] mp3 to wave / wave" to mp3 to convert a file.

Now use the "..."-button to select your input and output file, then start conversation with "Convert MP3" or "Convert Wave" button, depending on which conversation you have chosen.
Tip: CDBurnerXP Pro automatically defines your output file after you chose the input file.


Rip Audio-CD

To rip an Audio-CD choose "Rip Audio" of the "New Compilation"-dialog that appears on startup of CDBurnerXP Pro. To reopen the dialog, click the new-button New Button in toolbar.

Rip Button

Audio Grabber Options

At first you have to set some settings for ripping. You have to select your drive and the audio output format you want to use. The recommended option is MP3. To configure the settings of the output format, go to "Advanced Format Options". If MP3 is your output format, you can additionally add ID3v1 or ID3v2 tags to file (which contains audio information like artist, track number, name of song, etc.). The recommended one is ID3v2 since you can save more file information with it. However, you can also choose both.

Below you can choose the path where output files are saved. If you want to sort the ripped files in subdirectories and want to choose the output filename, use the "File Options". Additionally you can add case-settings which change the settings of capitals and lower case letters.

Grab Track Options

Go to Options (in menu) > Grab Track Options.
Here you can change some advanced rip settings. You won't need them if you don't know what they are for or you have any problems.
However, if your CD is scratched, it may improve quality if you use another mode than "burst mode". Also, setting action on errors to "cut" might be able to hide reading errors.

Grab Track Options

FreeDB Options

Go to Options (in menu) > FreeDB Options.

Site URL: Choose your CDDB Server. If one doesn't work, choose another one.
Port: Choose the connection port. Usually 80 (HTTP) will work fine.
Timeout: Specify the time in milliseconds that CDBXPP tries to connect. If the server does not respond, CDBXPP aborts the download.
Proxy: If you connect over a proxy server, enter it here.

User Name / Application / Version: Choose the data that CDBXPP uses for getting CDDB information. Click "Generate" to create new data.

Get album information from any available source (recommended): Use this to get track-information from any available source, online and cdplayer.ini
Get album information from Online Data Base: Get track-information of your CD from Online Data Base, internet-connection required
Use only cdgrabber.ini: Uses the information stored in cdplayer.ini, located in the root directory of Windows. Information once downloaded with CDBXPP can be saved in that file.

> > > Note: If there appears to be no album information for your disc, make sure that you choose to get information from online database only.

FreeDB Options

Grab audio tracks

Activate "Get CD Album Information..." to update the album information. You can also enter it manually or change the information after updating information to make your own adjustments. Click on "Save Album Info" to save the downloaded/edited information to the cdgrabber.ini-file. To start ripping, click on "Grab Track to ...". Do not forget to select the files you want to rip before starting process. You can also play a track using the "Play Track"-button or File > Play Track.

Rip Screenshot


Burn Audio-CD

There are two ways to start burning process:

1) Go to "Disc > Write disc..." in menu.
Menu Burn

2) Use the button in toolbar: Burn Button

3) Use the "Burn"-Button in middle toolbar. If you click the small arrow located at the right side of the button, you can choose different functions for this button. By default it will perform a "quick burn", which starts burning immediately using the settings you can change in settings dialog.
Burn Button

Automatically shut down the PC when done: Shuts down your PC after burning process. You can also change this option during burning.

Test Write: If this is activated, there will only be a test write, nothing will be burned on CD. You can activate this option by default in Document settings.
Track-at-once / Session-at-once / Disc-at-once: Track-at-once adds a 2 sec. pause to every track and Disc-at-once creates a gapless CD (without a pause). Note that some burners do NOT support Disc-at-once writing method. Session-at-once should work like Disc-at-once and is usually only used when burning data discs.
Write Speed: You can change the write speed here, if the automatically detected speed is not suitable.
Detect Speed Optimals: If you want to set your speed manually, deactivate this option.

To start burning process, press "Write Audio Disc".

Burn Dialog


Create ISO

To create an ISO-file choose "Data/DVD" at startup of CDBurnerXP Pro. To reopen the dialog, click the new-button New Button in toolbar

Button

Now you can create your ISO file on the same way as you do it with a Document Data-CD.

After adding your files you can edit the ISO Image Labels. To do that, go to Disc > Set ISOImage Labels...
Menu: Create ISO

The given information does not have any function (apart from the title you can also see in Windows explorer), they are just used as additional information for your ISO file.

ISO Labels

Then go to File > Save image as ISO file.
To open the ISO labels dialog again, click "Set Labels".
To add a boot image, click "Boot Options". An explanation of adding a boot image you can find at Document "create bootable disc".
An explanation of Mode1XA and 2XA you can find in Document burn disc or in Document FAQ.
DVD High compatibility will cause a higher compatibility to old DVD readers. It does not matter in this case how big the data was you added to layout, the Image will be at least 1GB big. Note that after finishing the ISO file it may take a short while to write data to harddrive.

Create ISO image


Burn ISO

To burn an ISO image choose "Data/DVD" at startup of CDBurnerXP Pro. To reopen the dialog, click the new-button New Button in toolbar

Data/DVD Button

Then go to File (in menu) > Write disc from ISO file.

Then choose the ISO file you want to burn by clicking on the "..."-button and then click "Write disc" to start burning process.
An explanation of Mode1XA and 2XA you can find in Document burn disc or in Document FAQ.
You can also finalize the disc, so that you can't add any more data to the CD/DVD (if you do not erase it). Activating or deactivating will not affect the functionality of your ISO file.

> > > Tip: You can also burn bin- and nrg-files by Document converting them to ISO with CDBurnerXP Pro.

Burn ISO file


Convert ISO

To convert a bin- or nrg-file to an ISO file, choose "Data/DVD" of the "New Compilation"-dialog that appears on startup of CDBurnerXP Pro. To reopen the dialog, click the new-button New Button in toolbar

Button

Then choose File > Convert ISO Image.

Menu: Convert ISO

Now choose your input file and the place where you want to save the converted file with "..."-buttons. After that, click "Convert File".
> > > Tip: CDBurnerXP Pro automatically defines your output file after you chose the input file.

Convert ISO dialog


Copy Data-CD/DVD

The feature to copy a CD/DVD is not implemented yet. However, you can copy at least the files of a Data-CD as explained here.

At first open a new CD/DVD compilation, choose "Data Disc" or "DVD+-R/RW" of the "New Compilation"-dialog that appears on startup of CDBurnerXP Pro. To reopen the dialog, click the new-button New Button in toolbar.

Create Data-CD/DVD

Now drag and drop all files you want to copy from your CD in local browser to the Data-CD layout. Then you can Document burn the disc.
> > > Note: This is no way to make a 1:1 copy of your disc!

There is also a tutorial "how to copy a video-DVD" available at our forums:
http://www.cdburnerxp.se/forum/viewtopic.php?t=954


Copy Audio-CD

The feature to copy a CD/DVD is not implemented yet. However, you can copy the tracks of an Audio-CD when creating a new Audio CD.

At first you have to create an Audio-CD. Choose "Audio" of the "New Compilation"-dialog that appears on startup of CDBurnerXP Pro. To reopen the dialog, click the new-button New Button in toolbar.

Audio Button

Then select the drive that contains your audio disc in local browser (top left) and drag and drop all (or only the ones you want) .cda-files to the Audio CD layout (bottom). Then Document burn your disc.

> > > Note: This is no way to make a 1:1 copy of your disc!

Audio Screenshot


Erase CD/DVD

To erase a disc, you can either use the menu (see Document Disc Information) or the toolbar button: Erase Button.

You can choose the recorder which you want to use for erasing in Data- or Audio-Writer window: Choose Recorder

You have the choice between "Quick Erase" and "Full Erase".
As the name already says, quick erase is very fast (about 1 minute) in contrast to full erase, that can take more than half an hour. The difference is, that you only delete the table of contents (TOC) if you choose quick erase. The data stays on the disc, but the PC can't do anything with it. This is the recommended option. However, if you have sensitive data on your medium, you should choose full erase, because then the disc will be completely emptied.

More Information: http://www.cdrfaq.org/faq03.html#S3-40 and http://computer.howstuffworks.com/cd-burner9.htm

> > > Note: You can only erase CD-RW, DVD-RW and DVD+RW. The eject-disc option is only available when creating a Document data compilation.

Erase dialog


Disc Information

To access disc information, use the disc-menu:

Disc Menu

Erase Disc: Document Erase the medium.
Write Disc: Document Burn your compilation.
Disc Information: View disc information.
Import session: Here you can import a specific session of your medium. This is useful i.e. if you don't want to import all files but only an earlier session.

Session View

You can also use the toolbar button to get disc information:

Disc Info Button

Screenshot (note that this detailed information is only available when creating a Document Data-CD):

Disc Information


Recorder Info

You can access recorder information over the Recorder-menu.

Recorder Menu

You can choose the recorder which you want to use for erasing in Data- or Audio-Writer window: Choose Recorder

Recorder Information

Eject: Open drive tray.
Close Tray: Close the CD-tray of your drive if it isn't already.

You can also use the symbol in toolbar for recorder settings: Recorder Info Toolbar Button
Note that recorder information is only available when creating a Document Data-CD.


Print CD-Cover

To print a CD-Cover, choose File > Print CD Cover or press Ctrl+P. You can do that both with Data- and Audio-CDs.

Print CD Cover

You can also use the toolbar button: Print Toolbar Button

Type the CD-Title in the field "Title:". Then choose the date that is to be written on the cover and the disc-number, if you have to spread your files on more than one CD. This won't affect the burning process, it has nothing to do with disc spanning.
Click on "Apply Text" once you have set the details. Your files will be inserted automatically.
With the buttons "Print Setup" and "Page Setup" you can change your Windows printer settings, for example cross and high size, as well as printing quality.
To print your cover, use the print-button located right below the title form. You can also zoom your cover in and out using the magnifying glass.
To show the page-margins (as very thin gray lines), check "Show Guide Lines". They will not be printed.

Print Cover


Settings

To access settings of CDBurnerXP Pro use either the menu (File > Preferences)
Menu: Settings
or the toolbar button Settings Toolbar Button.

General Options

Start with the main window maximized: If activated, CDBurnerXP Pro starts maximized, if deactivated it starts with the last used screen size and position.
Start with the last compilation type: If activated, CDBurnerXP Pro opens the last type of compilation you used (Data Disc, Audio Disc etc.) automatically at startup. If deactivated, you will get the standard "New Compilation" dialog.
Show confirm exit message box: Decide whether to show an exit dialog on exit of CDBurnerXP Pro or not.
> > > Note: If you clicked the exit button by mistake, there will be a dialog asking to save changes of the current compilation, no matter if you activate this option or not. So you don't have to activate this option in order to prevent data loss.
Show the scanning buses message box: Deactivate this option if you don't want to see the scanning buses box.
Show background image in the main window: When activated, you will see a background image in CDBurnerXP Pro. You can also set your own background image if you click on "Select Image" and then choose your file. Otherwise (if deactivated) you will just have a color, that you can choose with the pipette. Pipette
Click "Set Default" if you want to reactivate the standard background image.

Settings

General Settings

Always check for previous sessions when discs are in drive: If you want to add previous sessions to your disc automatically, activate this option.

Set the default Project Directory: Specify the directory that is to load automatically when you want to open/save your project.
Play a sound when...: If activated, CDBurnerXP Pro plays a sound for the event you selected. This could, for example, wake you up if you fell asleep during burning process ;-). Click "Test Sound" to hear the selected sound or click the "..."-button to choose your own. There are already some more sounds in CDBurnerXP Pro program directory.
Use Transparency for Dialogs: Makes the splash screen and DropBox transparent. This only works for Windows 2000 and XP!

Settings

Other options

Select test write by default when writing data discs: If activated, test-write will automatically be activated in burning dialog (both available for CD/DVD Settings and Audio Settings).
Select verify data by default: Automatically activate verify in burning dialog.
Start .....explorer with last used directory: If activated, the explorer automatically starts with the last used directory. This is useful, if you don't want to browse to the same location every time again and again. If deactivated, you can specify any other default folder.
Always use CDBurnerXP default project directory, when open and save: If this is activated and you open or save a compilation you created with CDBurnerXP Pro, the file-save dialog will automatically browse to the CDBurnerXP Pro Project directory located in "my Documents". If deactivated, the last used directory will be used.
Eject the disc when writing is completed: Change the default setting in burning dialog.

Settings

Audio Writer Settings

Use a default file filter for Audio CD Writer: Here you can change the default audio-file filter. For more information on filters see Document Create Audio-CD.

Settings

Backup

Here you can backup your settings for uninstallation of CDBurnerXP Pro (it will be uninstalled before every update automatically) or if you want to transfer your settings to another computer.
Choose "Backup All CDBurnerXP Option Settings" to save your settings anywhere you want (standard is CDBurnerXP program directory) and click "Restore All CDBurnerXP Settings" to load your saved settings from a file.
Note that if you import an old backup file (version 2 of CDBXPP), you have to change the default audio filter in "Audio Settings" to "*.mp3;*.wav;*.ogg;*.wma;*.m3u;*.cda;" instead of "*.mp3;*.wav;*.ogg;*.wma;"

Settings

Device Access

Here you can activate access for every user (even non admin-users) to the recorders. Without this activation, restriced users will not be able to burn anything with CDBurnerXP Pro.

Settings

Audio Grabber settings

Save the last used directory for grabbed tracks: Activate this if you don't want to choose your directory for ripping again and again for every rip.
Set default directory for grabbed tracks: The folder you specify here will be automatically used for ripping.

Settings


Toolbar

Toolbar

New Button Create a new compilation. > > > Note: You can only open one compilation at the same time.
Open Button Open an existing CDBurnerXP Pro Project File. More information you can get at Document data- and Document audio-burning.
Save Button Click this button to save your project. If you didn't save it before, you will be asked for a filename (see also: Document data- and Document audio-burning).
Save as Button Save your project as a new filename see also: Document data- and Document audio-burning).
Close Button Close the current sub-window / project (not the main application).
Print Button Click this button to access Document cover printing feature.
Erase Button Document Erase your disc.
Start Burn Button Start Document data / audio burning process.
Disc Information Button Get Document disc information.
Recorder Information Button Get Document recorder information.
Eject Button Eject the disc (open drive tray).
Close Tray Close drive tray.
Settings Button Open Document settings dialog.
Update Button Start online update and download the latest version of CDBurnerXP Pro.
Internet Links Button Get internet links for CDBurnerXP Pro.
Credits Button See credits of CDBurnerXP Pro (splash screen).
Helpfile Button Open the helpfile.